<?php echo $header; ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="box">
  <div class="left"></div>
  <div class="right"></div>
  <div class="heading">
    <h1><?php echo $heading_title; ?></h1>
      <div class="buttons"><a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location='<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
  </div>
  <div class="content">
	<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
  <div id="tab_general" class="page">
    <table class="form">
      <tr>
        <td><?php echo $entry_status; ?></td>
        <td><select name="ideallite_status">
            <?php if ($ideallite_status) { ?>
            <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
            <option value="0"><?php echo $text_disabled; ?></option>
            <?php } else { ?>
            <option value="1"><?php echo $text_enabled; ?></option>
            <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_sort_order; ?></td>
        <td><input type="text" name="ideallite_sort_order" value="<?php echo $ideallite_sort_order; ?>" size="1" /></td>
      </tr>
      <tr>
        <td><?php echo $entry_geo_zone; ?></td>
        <td><select name="ideallite_geo_zone_id">
            <option value="0"><?php echo $text_all_zones; ?></option>
            <?php foreach ($geo_zones as $geo_zone) { ?>
            <?php if ($geo_zone['geo_zone_id'] == $ideallite_geo_zone_id) { ?>
            <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
            <?php } else { ?>
            <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_language; ?></td>
        <td><select name="ideallite_language_id">
            <?php foreach ($languages as $language) { ?>
            <?php if ($language['language_id'] == $ideallite_language_id) { ?>
            <option value="<?php echo $language['language_id']; ?>" selected="selected"><?php echo $language['name']; ?></option>
            <?php } else { ?>
            <option value="<?php echo $language['language_id']; ?>"><?php echo $language['name']; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_currency_code; ?></td>
        <td><select name="ideallite_currency_code_id">
            <?php foreach ($currencies as $currency) { ?>
            <?php if ($currency['status']) { ?>
            <?php if ($currency['code'] == $ideallite_currency_code_id) { ?>
            <option value="<?php echo $currency['code']; ?>" selected="selected"><?php echo $currency['title']; ?></option>
            <?php } else { ?>
            <option value="<?php echo $currency['code']; ?>"><?php echo $currency['title']; ?></option>
            <?php } ?>
            <?php } ?>
            <?php } ?>
          </select>
        </td>
      </tr>
      <tr>
        <td><?php echo $entry_valid_days; ?></td>
        <td><input type="text" name="ideallite_valid_days" value="<?php echo $ideallite_valid_days; ?>" size="1" /></td>
      </tr>
      <tr>
        <td><?php echo $entry_order_status_payment_start; ?></td>
        <td><select name="ideallite_order_status_payment_start">
            <?php foreach ($order_statuses as $order_status) { ?>
            <?php if ($order_status['order_status_id'] == $ideallite_order_status_payment_start) { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
            <?php } else { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_order_status_success; ?></td>
        <td><select name="ideallite_order_status_success_id">
            <?php foreach ($order_statuses as $order_status) { ?>
            <?php if ($order_status['order_status_id'] == $ideallite_order_status_success_id) { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
            <?php } else { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_order_status_cancel; ?></td>
        <td><select name="ideallite_order_status_cancel_id">
            <?php foreach ($order_statuses as $order_status) { ?>
            <?php if ($order_status['order_status_id'] == $ideallite_order_status_cancel_id) { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
            <?php } else { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_order_status_error; ?></td>
        <td><select name="ideallite_order_status_error_id">
            <?php foreach ($order_statuses as $order_status) { ?>
            <?php if ($order_status['order_status_id'] == $ideallite_order_status_error_id) { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
            <?php } else { ?>
            <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_return_url; ?></td>
        <td><input type="text" name="ideallite_return_url" value="<?php echo $ideallite_return_url; ?>" /><br />
        </td>
      </tr>
      <tr>
        <td><?php echo $entry_merchantid; ?></td>
        <td><input type="text" name="ideallite_merchantid" value="<?php echo $ideallite_merchantid; ?>" /><br />
        </td>
      </tr>
      <tr>
        <td><?php echo $entry_subid; ?></td>
        <td><input type="text" name="ideallite_subid" value="<?php echo $ideallite_subid; ?>" /><br />
        </td>
      </tr>
      <tr>
        <td><?php echo $entry_hashkey; ?></td>
        <td><input type="text" name="ideallite_hashkey" value="<?php echo $ideallite_hashkey; ?>" /><br />
        </td>
      </tr>
      <tr>
        <td><?php echo $entry_bank; ?></td>
        <td><select name="ideallite_bank">
            <?php foreach ($entry_bank_names as $bank_name => $bank_description) { ?>
            <?php if ($bank_name == $ideallite_bank) { ?>
            <option value="<?php echo $bank_name; ?>" selected="selected"><?php echo $bank_description; ?></option>
            <?php } else { ?>
            <option value="<?php echo $bank_name; ?>"><?php echo $bank_description; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_mode; ?></td>
        <td><select name="ideallite_mode">
            <?php foreach ($entry_mode_names as $mode_name => $mode_description) { ?>
            <?php if ($mode_name == $ideallite_mode) { ?>
            <option value="<?php echo $mode_name; ?>" selected="selected"><?php echo $mode_description; ?></option>
            <?php } else { ?>
            <option value="<?php echo $mode_name; ?>"><?php echo $mode_description; ?></option>
            <?php } ?>
            <?php } ?>
          </select></td>
      </tr>
      <tr>
        <td><?php echo $entry_order_description; ?></td>
        <td><input type="text" name="ideallite_order_description" value="<?php echo $ideallite_order_description; ?>" /><br />
        </td>
      </tr>
    </table>
  </div>
</form>
</div>
<?php echo $footer; ?>