<?php
class ControllerPaymentIdeallite extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('payment/ideallite');

		$this->document->title = $this->language->get('heading_title');

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
		    $this->load->model('setting/setting');
			$this->model_setting_setting->editSetting('ideallite', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect(HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token']);
		}

		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_all_zones'] = $this->language->get('text_all_zones');

    $this->data['entry_order_status_success'] = $this->language->get('entry_order_status_success');
    $this->data['entry_order_status_cancel'] = $this->language->get('entry_order_status_cancel');
    $this->data['entry_order_status_error'] = $this->language->get('entry_order_status_error');
    $this->data['entry_order_status_payment_start'] = $this->language->get('entry_order_status_payment_start');

    $this->data['entry_currency_code'] = $this->language->get('entry_currency_code');
    $this->data['entry_hashkey'] = $this->language->get('entry_hashkey');
    $this->data['entry_language'] = $this->language->get('entry_language');
    $this->data['entry_merchantid'] = $this->language->get('entry_merchantid');
    $this->data['entry_subid'] = $this->language->get('entry_subid');
    $this->data['entry_bank'] = $this->language->get('entry_bank');
    $this->data['entry_bank_names'] = $this->language->get('entry_bank_names');
    $this->data['entry_mode'] = $this->language->get('entry_mode');
    $this->data['entry_mode_names'] = $this->language->get('entry_mode_names');
    $this->data['entry_return_url'] = $this->language->get('entry_return_url');
    $this->data['entry_valid_days'] = $this->language->get('entry_valid_days');
    $this->data['entry_order_description'] = $this->language->get('entry_order_description');
		$this->data['entry_geo_zone'] = $this->language->get('entry_geo_zone');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');

		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');

		$this->data['tab_general'] = $this->language->get('tab_general');

 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

  		$this->document->breadcrumbs = array();

   		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=common/home&token=' . $this->session->data['token'],
       		'text'      => $this->language->get('text_home'),
      		'separator' => FALSE
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token'],
       		'text'      => $this->language->get('text_payment'),
      		'separator' => ' :: '
   		);

   		$this->document->breadcrumbs[] = array(
       		'href'      => HTTPS_SERVER . 'index.php?route=payment/ideallite&token=' . $this->session->data['token'],
       		'text'      => $this->language->get('heading_title'),
      		'separator' => ' :: '
   		);

		$this->data['action'] = HTTPS_SERVER . 'index.php?route=payment/ideallite&token=' . $this->session->data['token'];

		$this->data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/payment&token=' . $this->session->data['token'];

		if (isset($this->request->post['ideallite_order_status_cancel_id'])) {
			$this->data['ideallite_order_status_cancel_id'] = $this->request->post['ideallite_order_status_cancel_id'];
		} else {
			$this->data['ideallite_order_status_cancel_id'] = $this->config->get('ideallite_order_status_cancel_id');
		}

		if (isset($this->request->post['ideallite_order_status_success_id'])) {
			$this->data['ideallite_order_status_success_id'] = $this->request->post['ideallite_order_status_success_id'];
		} else {
			$this->data['ideallite_order_status_success_id'] = $this->config->get('ideallite_order_status_success_id');
		}

		if (isset($this->request->post['ideallite_order_status_error_id'])) {
			$this->data['ideallite_order_status_error_id'] = $this->request->post['ideallite_order_status_error_id'];
		} else {
			$this->data['ideallite_order_status_error_id'] = $this->config->get('ideallite_order_status_error_id');
		}

		if (isset($this->request->post['ideallite_order_status_payment_start'])) {
			$this->data['ideallite_order_status_payment_start'] = $this->request->post['ideallite_order_status_payment_start'];
		} else {
			$this->data['ideallite_order_status_payment_start'] = $this->config->get('ideallite_order_status_payment_start');
		}

		$this->load->model('localisation/order_status');
		$this->data['order_statuses'] = $this->model_localisation_order_status->getOrderStatuses();

		if (isset($this->request->post['ideallite_geo_zone_id'])) {
			$this->data['ideallite_geo_zone_id'] = $this->request->post['ideallite_geo_zone_id'];
		} else {
			$this->data['ideallite_geo_zone_id'] = $this->config->get('ideallite_geo_zone_id');
		}

		$this->load->model('localisation/geo_zone');
		$this->data['geo_zones'] = $this->model_localisation_geo_zone->getGeoZones();

		if (isset($this->request->post['ideallite_currency_code_id'])) {
			$this->data['ideallite_currency_code_id'] = $this->request->post['ideallite_currency_code_id'];
		} else {
			$this->data['ideallite_currency_code_id'] = $this->config->get('ideallite_currency_code_id');
		}
		$this->load->model('localisation/currency');
		$this->data['currencies'] = $this->model_localisation_currency->getCurrencies();

		if (isset($this->request->post['ideallite_language_id'])) {
			$this->data['ideallite_language_id'] = $this->request->post['ideallite_language_id'];
		} else {
			$this->data['ideallite_language_id'] = $this->config->get('ideallite_language_id');
		}
		$this->load->model('localisation/language');
		$this->data['languages'] = $this->model_localisation_language->getLanguages();


		if (isset($this->request->post['ideallite_status'])) {
			$this->data['ideallite_status'] = $this->request->post['ideallite_status'];
		} else {
			$this->data['ideallite_status'] = $this->config->get('ideallite_status');
		}

		if (isset($this->request->post['ideallite_sort_order'])) {
			$this->data['ideallite_sort_order'] = $this->request->post['ideallite_sort_order'];
		} else {
			$this->data['ideallite_sort_order'] = $this->config->get('ideallite_sort_order');
		}

    if (isset($this->request->post['ideallite_hashkey'])) {
			$this->data['ideallite_hashkey'] = $this->request->post['ideallite_hashkey'];
		} else {
			$this->data['ideallite_hashkey'] = $this->config->get('ideallite_hashkey');
		}

		if (isset($this->request->post['ideallite_merchantid'])) {
			$this->data['ideallite_merchantid'] = $this->request->post['ideallite_merchantid'];
		} else {
			$this->data['ideallite_merchantid'] = $this->config->get('ideallite_merchantid');
		}

		if (isset($this->request->post['ideallite_subid'])) {
			$this->data['ideallite_subid'] = $this->request->post['ideallite_subid'];
		} else {
			$this->data['ideallite_subid'] = $this->config->get('ideallite_subid');
		}

		if (isset($this->request->post['ideallite_mode'])) {
			$this->data['ideallite_mode'] = $this->request->post['ideallite_mode'];
		} else {
			$this->data['ideallite_mode'] = $this->config->get('ideallite_mode');
		}

		if (isset($this->request->post['ideallite_bank'])) {
			$this->data['ideallite_bank'] = $this->request->post['ideallite_bank'];
		} else {
			$this->data['ideallite_bank'] = $this->config->get('ideallite_bank');
		}

	  if (isset($this->request->post['ideallite_return_url'])) {
			$this->data['ideallite_return_url'] = $this->request->post['ideallite_return_url'];
		} else {
			$this->data['ideallite_return_url'] = $this->config->get('ideallite_return_url');
		}

	  if (isset($this->request->post['ideallite_valid_days'])) {
			$this->data['ideallite_valid_days'] = $this->request->post['ideallite_valid_days'];
		} else {
			$this->data['ideallite_valid_days'] = $this->config->get('ideallite_valid_days');
		}

		if (isset($this->request->post['ideallite_order_description'])) {
			$this->data['ideallite_order_description'] = $this->request->post['ideallite_order_description'];
		} else {
			$this->data['ideallite_order_description'] = $this->config->get('ideallite_order_description');
		}

		$this->template = 'payment/ideallite.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);

		$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'payment/ideallite')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}
?>